window.onerror=function(){return true;} 
function $(id){return document.getElementById(id);}  
function getHeight(){$("wffahuo").style.height=$("hcforml").offsetHeight-86+"px";} 
window.onload=function(){getHeight();}
/*//////////////////////////// HCJS ////////////////////////////*/
function postcheck(){
	var ifname=/^[\u4e00-\u9fa5]{2,6}$/;
	var ifmob=/^1[3,4,5,7,8]\d{9}$/;
    var ifqq=/^\d{5,15}$/;
	var ifemail=/^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/;
	try{
		var flag1=0;
		var radio1=document.getElementsByName("hcproduct");		
		for(var i=0;i<radio1.length;i++){
			if(radio1.item(i).checked==true){
				flag1=1;
				break;
			}
		}
		if(!flag1&&radio1.item(0).getAttribute("type")=="radio"){
			alert('请选择您要订购的产品！');
			return false;
		}
    }catch(ex){}
	try{		
		var cbxs=document.getElementsByName("hcproduct[]");
		var flag2=0;
		for(var i=0;i<cbxs.length;i++){
			if(cbxs[i].checked){
				flag2+=1;
			}
		}
		if(flag2<1&&cbxs[0].getAttribute("type")=='checkbox'){
			alert('请选择您要订购的产品！');
			return false;
		}
	}catch(ex){}	
	try{
		if(document.hcform.hcproduct.value==""){
			alert('请选择您要订购的产品！');
			document.hcform.hcproduct.focus();
			return false;
		}
    }catch(ex){}	
	try{
		if(document.hcform.hcname.value==""){
			alert('请填写姓名！');
			document.hcform.hcname.focus();
			return false;
		}
		if(!ifname.test(document.hcform.hcname.value)){
			alert('姓名格式不正确，请重新填写！');
			document.hcform.hcname.focus();
			return false;
		}
    }catch(ex){}
    try{
		if(document.hcform.hcmob.value==""){
			alert('请填写手机号码！');
			document.hcform.hcmob.focus();
			return false;
		}
		if(!ifmob.test(document.hcform.hcmob.value)){
			alert('手机号码格式不正确，请重新填写！');
			document.hcform.hcmob.focus();
			return false;
		}
    }catch(ex){}
    try{
		if(document.hcform.hcprovince.value==""){
			alert('请选择所在地区！');
			document.hcform.hcprovince.focus();
			return false;
		}
    }catch(ex){}
    try{
		if(document.hcform.hcaddress.value==""){
			alert('请填写详细地址！');
			document.hcform.hcaddress.focus();
			return false;
		}
    }catch(ex){}
    try{
		if(document.hcform.wfqq.value==""){
			alert('请填写QQ号码！');
			document.hcform.wfqq.focus();
			return false;
		}
		if(!ifqq.test(document.hcform.wfqq.value)){
			alert('QQ号码格式不正确，请重新填写！');
			document.hcform.wfqq.focus();
			return false;
		}
    }catch(ex){}
    try{
		if(document.hcform.wfemail.value==""){
			alert('请填写E-MAIL！');
			document.hcform.wfemail.focus();
			return false;
		}
		if(!ifemail.test(document.hcform.wfemail.value)){
			alert('E-MAIL格式不正确，请重新填写！');
			document.hcform.wfemail.focus();
			return false;
		}
    }catch(ex){}
    try{
		if(document.hcform.wfcode.value==""){
			alert('请填写验证码！');
			document.hcform.wfcode.focus();
			return false;
		}
    }catch(ex){}
   
}
/*//////////////////////////// HCJS ////////////////////////////*/
try{
	new PCAS("hcprovince","hccity","hcarea");
}catch(ex){}
try{
	var thissrc=document.getElementById("wfcode").src;
	function refreshCode(){
		document.getElementById("wfcode").src=thissrc+"temp="+Math.random(); 
	}
}catch(ex){}
/*//////////////////////////// HCJS ////////////////////////////*/
function pricea(){
	var hcproduct=document.hcform.hcproduct.alt;
	for(var i=0;i<document.hcform.hcproduct.length;i++){
		if(document.hcform.hcproduct[i].checked==true){
			var hcproduct=document.hcform.hcproduct[i].alt;
			break;
		}
	}
    if(document.hcform.wfmun.value==""||document.hcform.wfmun.value==0){	
		var wfmun=1;
	}
	else{
		var wfmun=document.hcform.wfmun.value;
	}	
	var wfprice=hcproduct*wfmun;
	document.hcform.wfprice.value=wfprice;
	document.getElementById("showprice").innerHTML=wfprice;
}
function priceb(){
    var wfcpxljg=document.getElementById("hcproduct");
    var hcproduct=wfcpxljg.options[document.getElementById("hcproduct").options.selectedIndex].title; 
    if(document.hcform.wfmun.value==""||document.hcform.wfmun.value==0){	
		var wfmun=1;
	}
	else{
		var wfmun=document.hcform.wfmun.value;
	}	
	var wfprice=hcproduct*wfmun;
	document.hcform.wfprice.value=wfprice;
	document.getElementById("showprice").innerHTML=wfprice;
}
function pricec(){
	var wfmun=0;
	var wfprice=0;	
	var obj=document.getElementsByName("hcproduct[]");
    for(var i=0;i<obj.length;i++){
		if(obj[i].checked){
			wfmun++;
			wfprice+=parseInt(obj[i].alt);
		}
	}
	document.hcform.wfmun.value=wfmun;
	document.hcform.wfprice.value=wfprice;
	document.getElementById("showmun").innerHTML=wfmun;
	document.getElementById('showprice').innerHTML=wfprice;
}
/*//////////////////////////// HCJS ////////////////////////////*/
function changeItem(i){
    var k=3;
	for(var j=0;j<k;j++){
	    if(j==i){
		    document.getElementById("paydiv"+j).style.display="block";
		}
		else{		
		    document.getElementById("paydiv"+j).style.display="none";
		}
	}
}
function opay(){
	document.getElementById("hcform").target="_parent";
}
function opay2(){
    document.getElementById("hcform").target="_blank";
}
/*//////////////////////////// HCJS ////////////////////////////*/
function WFDDURL(){
	var WFDDURL=null;
	if(parent!==window){
		WFDDURL=document.referrer;
	}else{
		if(top!==window){
			WFDDURL=top.location.href;
		}else{
			WFDDURL=window.location.href;
		}
	}
	return WFDDURL;
}
document.getElementById("WFDDURL").value=WFDDURL();
function setCookie(){
	var WFLLURL=window.top.document.referrer;	
    document.cookie="WFLLURL="+escape(WFLLURL)+";path=/";
}
function getCookie(){
    var name="WFLLURL=";
    var ca=document.cookie.split(';');
    for(var i=0;i<ca.length;i++){
        var c=ca[i];
        while(c.charAt(0)==" ")c=c.substring(1);
        if(c.indexOf(name)!=-1)return c.substring(name.length,c.length);
    }
	return "";
}
function checkCookie(){
	var IFWFLLURL=getCookie();
	if(IFWFLLURL==""||IFWFLLURL==null){
		setCookie();
	}
}
checkCookie();
/*//////////////////////////// HCORDER ////////////////////////////*/